devel/p5-Test-Script - The NetBSD Packages Collection

Test::Script - Cross-platform basic tests for scripts

The intent of this module is to provide a series of basic tests for
scripts in the bin directory of your Perl distribution.
Further, it aims to provide them with perfect platform-compatibility
and in a way that is as unobtrusive as possible.
That is, if the program works on a platform, then Test::Script should
also work on that platform.
In doing so, it is hoped that Test::Script can become a module that
you can safely make a dependency of your module, without risking your
module not working on some platform because of the dependency.
Where a clash exists between wanting more functionality and
maintaining platform safety, this module will err on the side of
platform safety.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Probe-Perl devel/p5-Capture-Tiny devel/p5-Test2-Suite lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Test-Script-1.29.tgz
NetBSD 8.0earmv7hfp5-Test-Script-1.26nb1.tgz
NetBSD 8.0earmv7hfp5-Test-Script-1.27nb1.tgz
NetBSD 8.0i386p5-Test-Script-1.26nb1.tgz
NetBSD 8.0i386p5-Test-Script-1.27nb1.tgz
NetBSD 8.0powerpcp5-Test-Script-1.26nb1.tgz
NetBSD 8.0powerpcp5-Test-Script-1.27nb1.tgz
NetBSD 8.0powerpcp5-Test-Script-1.27nb1.tgz
NetBSD 8.0powerpcp5-Test-Script-1.29.tgz
NetBSD 8.0x86_64p5-Test-Script-1.26nb1.tgz
NetBSD 8.0x86_64p5-Test-Script-1.27nb1.tgz
NetBSD 9.0aarch64p5-Test-Script-1.29.tgz
NetBSD 9.0aarch64p5-Test-Script-1.26nb1.tgz
NetBSD 9.0aarch64p5-Test-Script-1.27nb1.tgz
NetBSD 9.0alphap5-Test-Script-1.29.tgz
NetBSD 9.0alphap5-Test-Script-1.26nb1.tgz
NetBSD 9.0alphap5-Test-Script-1.27nb1.tgz
NetBSD 9.0earmp5-Test-Script-1.26nb1.tgz
NetBSD 9.0earmp5-Test-Script-1.27nb1.tgz
NetBSD 9.0earmp5-Test-Script-1.29.tgz
NetBSD 9.0earmv6hfp5-Test-Script-1.29.tgz
NetBSD 9.0earmv6hfp5-Test-Script-1.26nb1.tgz
NetBSD 9.0earmv6hfp5-Test-Script-1.27nb1.tgz
NetBSD 9.0earmv7hfp5-Test-Script-1.29.tgz
NetBSD 9.0earmv7hfp5-Test-Script-1.26nb1.tgz
NetBSD 9.0earmv7hfp5-Test-Script-1.27nb1.tgz
NetBSD 9.0earmv7hfp5-Test-Script-1.29.tgz
NetBSD 9.0i386p5-Test-Script-1.26nb1.tgz
NetBSD 9.0i386p5-Test-Script-1.27nb1.tgz
NetBSD 9.0i386p5-Test-Script-1.29.tgz
NetBSD 9.0m68kp5-Test-Script-1.26nb1.tgz
NetBSD 9.0m68kp5-Test-Script-1.26nb1.tgz
NetBSD 9.0m68kp5-Test-Script-1.27nb1.tgz
NetBSD 9.0m68kp5-Test-Script-1.29.tgz
NetBSD 9.0mips64ebp5-Test-Script-1.27nb1.tgz
NetBSD 9.0mips64ebp5-Test-Script-1.26nb1.tgz
NetBSD 9.0mips64ebp5-Test-Script-1.26nb1.tgz
NetBSD 9.0mips64ebp5-Test-Script-1.26nb1.tgz
NetBSD 9.0mips64ebp5-Test-Script-1.29.tgz
NetBSD 9.0mipselp5-Test-Script-1.27nb1.tgz
NetBSD 9.0mipselp5-Test-Script-1.26nb1.tgz
NetBSD 9.0mipselp5-Test-Script-1.26nb1.tgz
NetBSD 9.0mipselp5-Test-Script-1.29.tgz
NetBSD 9.0powerpcp5-Test-Script-1.27nb1.tgz
NetBSD 9.0powerpcp5-Test-Script-1.26nb1.tgz
NetBSD 9.0powerpcp5-Test-Script-1.27nb1.tgz
NetBSD 9.0powerpcp5-Test-Script-1.29.tgz
NetBSD 9.0sh3elp5-Test-Script-1.27nb1.tgz
NetBSD 9.0sh3elp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sh3elp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sh3elp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sh3elp5-Test-Script-1.29.tgz
NetBSD 9.0sparc64p5-Test-Script-1.27nb1.tgz
NetBSD 9.0sparc64p5-Test-Script-1.26nb1.tgz
NetBSD 9.0sparc64p5-Test-Script-1.29.tgz
NetBSD 9.0sparcp5-Test-Script-1.27nb1.tgz
NetBSD 9.0sparcp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sparcp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sparcp5-Test-Script-1.26nb1.tgz
NetBSD 9.0sparcp5-Test-Script-1.29.tgz
NetBSD 9.0vaxp5-Test-Script-1.26nb1.tgz
NetBSD 9.0vaxp5-Test-Script-1.26nb1.tgz
NetBSD 9.0vaxp5-Test-Script-1.27nb1.tgz
NetBSD 9.0vaxp5-Test-Script-1.29.tgz
NetBSD 9.0x86_64p5-Test-Script-1.29.tgz
NetBSD 9.0x86_64p5-Test-Script-1.29.tgz
NetBSD 9.0x86_64p5-Test-Script-1.26nb1.tgz
NetBSD 9.0x86_64p5-Test-Script-1.27nb1.tgz
NetBSD 9.0x86_64p5-Test-Script-1.29.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.